chore(docker): Support for development/test builds

pull/92/head
Robert Dailey 2 years ago
parent db03d88e1f
commit 9bb71f1938

@ -5,8 +5,9 @@ WORKDIR /build
ARG RELEASE_TAG=latest
ARG TARGETPLATFORM
ARG REPOSITORY=recyclarr/recyclarr
ARG BUILD_FROM_BRANCH
COPY --chmod=544 ./build.sh .
COPY --chmod=544 ./scripts/*.sh .
RUN apk add unzip
RUN ./build.sh

@ -0,0 +1,8 @@
#!/bin/sh
set -ex
git clone -b $BUILD_FROM_BRANCH "https://github.com/$REPOSITORY.git" source
cd source
pwsh ./ci/Publish.ps1 $runtime
cp ./publish/$runtime/recyclarr ..

@ -9,14 +9,6 @@ else
download_path="download/$RELEASE_TAG";
fi
# Determine the runtime from the target platform provided by Docker Buildx
case "$TARGETPLATFORM" in
"linux/arm/v7") runtime="linux-musl-arm" ;;
"linux/arm64") runtime="linux-musl-arm64" ;;
"linux/amd64") runtime="linux-musl-x64" ;;
*) echo >&2 "ERROR: Unsupported target platform: $TARGETPLATFORM"; exit 1 ;;
esac
# Download and extract the recyclarr binary from the release
wget --quiet -O recyclarr.zip "https://github.com/$REPOSITORY/releases/$download_path/recyclarr-$runtime.zip"
unzip recyclarr.zip

@ -0,0 +1,16 @@
#!/bin/sh
set -ex
# Determine the runtime from the target platform provided by Docker Buildx
case "$TARGETPLATFORM" in
"linux/arm/v7") runtime="linux-musl-arm" ;;
"linux/arm64") runtime="linux-musl-arm64" ;;
"linux/amd64") runtime="linux-musl-x64" ;;
*) echo >&2 "ERROR: Unsupported target platform: $TARGETPLATFORM"; exit 1 ;;
esac
if [ -z "$BUILD_FROM_BRANCH" ]; then
. ./build-using-release.sh
else
. ./build-using-clone.sh
fi
Loading…
Cancel
Save